Submit Prior Authorization to Careviso
curl --request POST \
--url https://api.example.com/api/v2/integrations/careviso/{slug}/prior-authorizations \
--header 'Content-Type: application/json' \
--data '
{
"testNames": [
"<string>"
],
"cptCodes": [
"<string>"
],
"insuranceName": "<string>",
"groupId": "<string>",
"memberId": "<string>",
"patientId": "<string>",
"patientFirstName": "<string>",
"patientLastName": "<string>",
"patientDob": "<string>",
"patientPhone": "<string>",
"providerId": "<string>",
"providerFirstName": "<string>",
"providerLastName": "<string>",
"providerNpi": "<string>",
"providerPhone": "<string>",
"providerFax": "<string>",
"labOrderId": "<string>",
"serviceDate": "<string>",
"icd10Codes": [
"<string>"
],
"attachments": [
{
"id": "<string>",
"fileName": "<string>"
}
],
"testIdentifiers": [
"<string>"
],
"testType": "<string>",
"insuranceId": "<string>",
"patientStreet": "<string>",
"patientStreet2": "<string>",
"patientCity": "<string>",
"patientState": "<string>",
"patientZip": "<string>",
"collectionType": "<string>",
"collectionDate": "<string>",
"accessionDate": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/integrations/careviso/{slug}/prior-authorizations"
payload = {
"testNames": ["<string>"],
"cptCodes": ["<string>"],
"insuranceName": "<string>",
"groupId": "<string>",
"memberId": "<string>",
"patientId": "<string>",
"patientFirstName": "<string>",
"patientLastName": "<string>",
"patientDob": "<string>",
"patientPhone": "<string>",
"providerId": "<string>",
"providerFirstName": "<string>",
"providerLastName": "<string>",
"providerNpi": "<string>",
"providerPhone": "<string>",
"providerFax": "<string>",
"labOrderId": "<string>",
"serviceDate": "<string>",
"icd10Codes": ["<string>"],
"attachments": [
{
"id": "<string>",
"fileName": "<string>"
}
],
"testIdentifiers": ["<string>"],
"testType": "<string>",
"insuranceId": "<string>",
"patientStreet": "<string>",
"patientStreet2": "<string>",
"patientCity": "<string>",
"patientState": "<string>",
"patientZip": "<string>",
"collectionType": "<string>",
"collectionDate": "<string>",
"accessionDate": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
testNames: ['<string>'],
cptCodes: ['<string>'],
insuranceName: '<string>',
groupId: '<string>',
memberId: '<string>',
patientId: '<string>',
patientFirstName: '<string>',
patientLastName: '<string>',
patientDob: '<string>',
patientPhone: '<string>',
providerId: '<string>',
providerFirstName: '<string>',
providerLastName: '<string>',
providerNpi: '<string>',
providerPhone: '<string>',
providerFax: '<string>',
labOrderId: '<string>',
serviceDate: '<string>',
icd10Codes: ['<string>'],
attachments: [{id: '<string>', fileName: '<string>'}],
testIdentifiers: ['<string>'],
testType: '<string>',
insuranceId: '<string>',
patientStreet: '<string>',
patientStreet2: '<string>',
patientCity: '<string>',
patientState: '<string>',
patientZip: '<string>',
collectionType: '<string>',
collectionDate: '<string>',
accessionDate: '<string>'
})
};
fetch('https://api.example.com/api/v2/integrations/careviso/{slug}/prior-authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"details": {}
}{
"error": "<string>"
}{
"error": "<string>"
}Integration - Careviso
Submit Prior Authorization to Careviso
Submit a prior authorization request to Careviso.
POST
/
api
/
v2
/
integrations
/
careviso
/
{slug}
/
prior-authorizations
Submit Prior Authorization to Careviso
Path Parameters
Body
application/json
The date of service for the test. Should be in the format YYYY-MM-DD.
Available options:
prior_auth, prior_auth_request, benefits_investigation Show child attributes
Show child attributes
Available options:
M, F, Non-binary, Non-specified The type of collection for the test
The date of collection for the test. Should be in the format YYYY-MM-DD.
Response
Query execution result.
⌘I